respond_to? needs include_private argument
authorDecklin Foster <decklin@red-bean.com>
Wed, 18 Jun 2008 20:25:56 +0000 (16:25 -0400)
committerWilliam Morgan <wmorgan-sup@masanjin.net>
Thu, 19 Jun 2008 17:29:02 +0000 (10:29 -0700)
commit7baf2ae82255b4ca77a1e2a4b46831371f92cfce
tree5e1eac4bf0317172b1de72f8a9994b1d028268c6
parent21e34247462f5a0ca69dc2de46eceb21e5f1fb58
respond_to? needs include_private argument

Sup started mysteriously bailing out on me today after an apt-get
update with stuff like this:

 --- ArgumentError from thread: main
wrong number of arguments (2 for 1)
/usr/lib/ruby/1.8/sup/index.rb:424:in `respond_to?'
/usr/lib/ruby/1.8/sup/index.rb:424:in `flatten'
/usr/lib/ruby/1.8/sup/index.rb:424:in `load_sources'
/usr/lib/ruby/1.8/sup/index.rb:108:in `load'
/usr/lib/ruby/1.8/sup/util.rb:497:in `send'
/usr/lib/ruby/1.8/sup/util.rb:497:in `method_missing'
/usr/bin/sup:122

I did some digging and it seems like when Array#flatten, in attempting
to figure out if it can flatten some list element recursively, sends
it :respond_to? with both arguments -- I didn't even know there was a
second one (defaults to false; see docs). But this only happened recently
or something.

Here's somewhere else this came up:
http://www.ruby-forum.com/topic/154938

So, the fix is exactly the same. Should work fine on old Ruby as well.
lib/sup/util.rb